import request from '@/utils/request'

// 查询医生姓名信息列表
export function getList() {
    return request({
        url: '/system/hospital/getList',
        method: 'get',
    })
}
// 查询班次信息管理列表
export function schedule(query) {
    return request({
        url: '/system/schedule/list',
        method: 'get',
        params: query
    })
}

// 新增班次
export function addschedule(data) {
    return request({
        url: '/system/schedule/add',
        method: 'post',
        data: data
    })
}
// 修改
export function updateschedule(data) {
    return request({
        url: '/system/schedule/update',
        method: 'post',
        data: data
    })
}
export function getById(id) {
    return request({
        url: '/system/schedule/getById/' + id,
        method: 'get'
    })
}

// 删除班次信息管理
export function delschedule(id) {
    return request({
        url: '/system/schedule/' + id,
        method: 'delete'
    })
}


